List content types and their limits
GET
/content-types
const url = 'https://postflow.biz.id/api/v1/content-types?platform=facebook';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://postflow.biz.id/api/v1/content-types?platform=facebook' \ --header 'Authorization: Bearer <token>'MCP tool: list_content_types.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”platform
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
What a content type accepts. Pre-flight checks posts against these rules.
object
id
required
string
platform
required
string
label
required
string
items
required
Media count, [min, max].
Array<integer>
kinds
required
Array<string>
imageMimes
Array<string>
videoMimes
Array<string>
aspect
Allowed width/height range.
Array<number>
aspectRecommended
number
durationSec
Video length range in seconds.
Array<number>
maxImageBytes
integer
maxVideoBytes
integer
firstComment
required
Whether options.firstComment is supported.
boolean
Example
[ { "id": "fb_post", "platform": "facebook", "kinds": [ "image" ] }]Missing, invalid, expired or deleted key or token.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
A sentence you can show to a person.
string
details
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}More than 120 requests in a minute with this key.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
A sentence you can show to a person.
string
details
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}